Unusual Whales UnusualWhales API

Institutional Ownership

GET https://api.unusualwhales.com/api/institution/{ticker}/ownership

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker Ticker required

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`.

Example: AAPL,INTC

Query Parameters

date Report Date optional

The report date in the format of YYYY-MM-DD.

Example: 2024-01-18
start_date Institutional Report Start Date optional

A date in the format of YYYY-MM-DD, only institutional holdings with `report_date` values on or after this date will be returned.

Example: 2023-01-01
end_date Institutional Report End Date optional

A date in the format of YYYY-MM-DD, only institutional holdings with `report_date` values on or before this date will be returned.

Example: 2023-03-31
tags[] Institution Tags optional

An array of institution tags

Example: activist
enum: advisor, value_investor, brokerage, hedge_fund, private_fund, biotech, activist, top_fund, tiger_club, esg, credit, 13d_activist, energy, small_cap, event, real_estate, technology, all, public_companies, known
order Institutional Ownership Order By optional

Optional columns to order the result by

Example: name
enum: name, short_name, filing_date, first_buy, units, units_change, units_changed, value, avg_price, perc_outstanding, perc_units_changed, activity, perc_inst_value, perc_share_value
order_direction OrderDirection optional

Whether to sort descending or ascending. Descending by default.

Example: asc Default: desc
enum: desc, asc
limit Default 500 Max 500 Min 1 optional

How many items to return. Default: 500. Max: 500. Min: 1.

Example: 10 Default: 500
>= 1 <= 500
page Page optional

Page number (use with limit). Starts on page 0.

Example: 1

Responses

200 422 500

Response Body 200 OK

avg_price Avg Price
Example: 23.49
filing_date General ISO Date

An ISO date.

Example: 2024-01-09
first_buy General ISO Date

An ISO date.

Example: 2024-01-09
historical_units Historical Units

Historical unit counts. Maximum length = 8.

Example: [4103,4423]
inst_share_value Share Value

The rounded total share value in the institution's portfolio.

Example: 2394292.0
inst_value Total Value

The rounded total value of the institution's portfolio.

Example: 2394292.0
name Name

The institution's name.

Example: VANGUARD GROUP INC
people People

Persons of interest in the institution.

Example: ["Paul Singer"]
report_date General ISO Date

An ISO date.

Example: 2024-01-09
shares_outstanding Shares Outstanding

Total outstanding shares for the ticker.

Example: 424295343.0
short_name Short Name

The institution's short name.

Example: Vanguard
tags Tags

Tags related to the institution.

Example: ["activist","value_investor"]
units Units
Example: 4103
units_change Units Change

The change in units

Example: -320
value Value

The rounded total value on the reporting date.

Example: 2429329
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/institution/{ticker}/ownership" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "avg_price": "432.31",
      "filing_date": "2024-12-23",
      "first_buy": "2021-02-25",
      "historical_units": [
        4103,
        4423
      ],
      "inst_share_value": "582093953.0",
      "inst_value": "1095205923.0",
      "name": "VANGUARD GROUP INC",
      "people": [
        "John Doe"
      ],
      "report_date": "2024-09-30",
      "shares_outstanding": "148239423.0",
      "short_name": "Vanguard",
      "tags": [
        "value_investor"
      ],
      "units": 5000,
      "units_change": -500,
      "value": "2934823.0"
    }
  ]
}